<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__event__callback__data__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_event_callback_data_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__event__callback__data__t_1a3c3d10edf78afaf402eb6eb9004a17c0" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_israddress</type>
        <definition>cy_israddress cyhal_event_callback_data_t::callback</definition>
        <argsstring />
        <name>callback</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="138" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="138" />
      </memberdef>
      <memberdef id="structcyhal__event__callback__data__t_1aeabdbaef4f75c5b947fa9d1534d230f9" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cyhal_event_callback_data_t::callback_arg</definition>
        <argsstring />
        <name>callback_arg</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="139" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="139" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Event callback data object. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="140" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="137" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="137" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__event__callback__data__t_1a3c3d10edf78afaf402eb6eb9004a17c0" virt="non-virtual"><scope>cyhal_event_callback_data_t</scope><name>callback</name></member>
      <member prot="public" refid="structcyhal__event__callback__data__t_1aeabdbaef4f75c5b947fa9d1534d230f9" virt="non-virtual"><scope>cyhal_event_callback_data_t</scope><name>callback_arg</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>